
QGIS Application - Bug report #10441

If layer has labels it is always refreshed when activating/deactivating any other layer

2014-06-03 10:56 AM - Giovanni Manghi

Status: Open

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:3.7(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18853

Description

Subject says it all, seems not necessary and it happens also with "render caching" active.

History

#1 - 2014-06-20 08:48 AM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2017-01-09 01:01 AM - Giovanni Manghi

- Priority changed from High to Normal

#3 - 2017-05-01 12:00 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2019-03-05 06:21 PM - Giovanni Manghi

- Affected QGIS version changed from master to 3.7(master)

#5 - 2019-03-05 06:45 PM - Alexey T

#21472 is also related.

If a layer with labels is "heavy" and rendering it takes significant amount of time, then it is very difficult to edit any other layer because of refreshes.

#6 - 2019-03-05 09:26 PM - Nyall Dawson

This is because the labelling is generated for the entire map, not layer by layer. So labels from another layer can change the position of labels in every

other labelled layer (due to collision avoidance).

If you toggle any labelled layer, all remaining labelled layers need to be completely refreshed in order to calculate new positions of the remaining map

labels.

There may be particular corner cases where this can be avoided, but in general I do not see any way to avoid this.

#7 - 2019-03-05 09:43 PM - Alexey T

But vectors and rasters are rendered independently of lables. Results can be cashed. So only lables colud be redrawn on canvas refresh.
